MCP Tools Reference: netapp.googleapis.com

Tool: get_backup_vault

Get backup vault in a given project and location.

The following sample demonstrates how to use curl to invoke the get_backup_vault MCP tool.

Curl Request
                  
curl --location 'https://netapp.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "get_backup_vault",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

GetBackupVaultRequest gets the state of a backupVault.

GetBackupVaultRequest

JSON representation
{
  "name": string
}
Fields
name

string

Required. The backupVault resource name, in the format projects/{project}/locations/{location}/backupVaults/{backup_vault_id}

Output Schema

A NetApp BackupVault.

BackupVault

JSON representation
{
  "name": string,
  "state": enum (State),
  "createTime": string,
  "description": string,
  "labels": {
    string: string,
    ...
  },
  "backupVaultType": enum (BackupVaultType),
  "sourceRegion": string,
  "backupRegion": string,
  "sourceBackupVault": string,
  "destinationBackupVault": string,
  "backupRetentionPolicy": {
    object (BackupRetentionPolicy)
  },
  "kmsConfig": string,
  "encryptionState": enum (EncryptionState),
  "backupsCryptoKeyVersion": string,
  "crossProjectVault": boolean
}
Fields
name

string

Identifier. The resource name of the backup vault. Format: projects/{project}/locations/{location}/backupVaults/{backup_vault_id}.

state

enum (State)

Output only. The backup vault state.

createTime

string (Timestamp format)

Output only. Create time of the backup vault.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

description

string

Description of the backup vault.

labels

map (key: string, value: string)

Resource labels to represent user provided metadata.

An object containing a list of "key": value pairs. Example: { "name": "wrench", "mass": "1.3kg", "count": "3" }.

backupVaultType

enum (BackupVaultType)

Optional. Type of backup vault to be created. Default is IN_REGION.

sourceRegion

string

Output only. Region in which the backup vault is created. Format: projects/{project}/locations/{location}

backupRegion

string

Optional. Region where the backups are stored. Format: projects/{project}/locations/{location}

sourceBackupVault

string

Output only. Name of the Backup vault created in source region. Format: projects/{project}/locations/{location}/backupVaults/{backup_vault_id}

destinationBackupVault

string

Output only. Name of the Backup vault created in backup region. Format: projects/{project}/locations/{location}/backupVaults/{backup_vault_id}

backupRetentionPolicy

object (BackupRetentionPolicy)

Optional. Backup retention policy defining the retention of backups.

kmsConfig

string

Optional. Specifies the Key Management System (KMS) configuration to be used for backup encryption. Format: projects/{project}/locations/{location}/kmsConfigs/{kms_config}

encryptionState

enum (EncryptionState)

Output only. Field indicating encryption state of CMEK backups.

backupsCryptoKeyVersion

string

Output only. The crypto key version used to encrypt the backup vault. Format: projects/{project}/locations/{location}/keyRings/{key_ring}/cryptoKeys/{crypto_key}/cryptoKeyVersions/{crypto_key_version}

crossProjectVault

boolean

Optional. Indicates if the backup vault is a cross project vault.

Timestamp

JSON representation
{
  "seconds": string,
  "nanos": integer
}
Fields
seconds

string (int64 format)

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z).

nanos

integer

Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive.

LabelsEntry

JSON representation
{
  "key": string,
  "value": string
}
Fields
key

string

value

string

BackupRetentionPolicy

JSON representation
{
  "backupMinimumEnforcedRetentionDays": integer,
  "dailyBackupImmutable": boolean,
  "weeklyBackupImmutable": boolean,
  "monthlyBackupImmutable": boolean,
  "manualBackupImmutable": boolean
}
Fields
backupMinimumEnforcedRetentionDays

integer

Required. Minimum retention duration in days for backups in the backup vault.

dailyBackupImmutable

boolean

Optional. Indicates if the daily backups are immutable. At least one of daily_backup_immutable, weekly_backup_immutable, monthly_backup_immutable and manual_backup_immutable must be true.

weeklyBackupImmutable

boolean

Optional. Indicates if the weekly backups are immutable. At least one of daily_backup_immutable, weekly_backup_immutable, monthly_backup_immutable and manual_backup_immutable must be true.

monthlyBackupImmutable

boolean

Optional. Indicates if the monthly backups are immutable. At least one of daily_backup_immutable, weekly_backup_immutable, monthly_backup_immutable and manual_backup_immutable must be true.

manualBackupImmutable

boolean

Optional. Indicates if the manual backups are immutable. At least one of daily_backup_immutable, weekly_backup_immutable, monthly_backup_immutable and manual_backup_immutable must be true.

State

The Backup Vault States

Enums
STATE_UNSPECIFIED State not set.
CREATING BackupVault is being created.
READY BackupVault is available for use.
DELETING BackupVault is being deleted.
ERROR BackupVault is not valid and cannot be used.
UPDATING BackupVault is being updated.

BackupVaultType

Backup Vault Type.

Enums
BACKUP_VAULT_TYPE_UNSPECIFIED BackupVault type not set.
IN_REGION BackupVault type is IN_REGION.
CROSS_REGION BackupVault type is CROSS_REGION.

EncryptionState

Encryption state of customer-managed encryption keys (CMEK) backups.

Enums
ENCRYPTION_STATE_UNSPECIFIED Encryption state not set.
ENCRYPTION_STATE_PENDING Encryption state is pending.
ENCRYPTION_STATE_COMPLETED Encryption is complete.
ENCRYPTION_STATE_IN_PROGRESS Encryption is in progress.
ENCRYPTION_STATE_FAILED Encryption has failed.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌